package com.yonge.cooleshow.biz.dal.entity;

/**
 * @author hgw
 * Created by 2022-02-25
 */
public class ImRoomMessage extends BaseMessage {

    //objectName 类型-观看者退出房间
    public static final String RC_CHATROOM_LEAVE = "RC:Chatroom:Leave";

    /**
     * 消息类型
     */
    private String objectName;

    /**
     * 消息内容
     */
    private Object content;

    /**
     * 发送者id
     */
    private String fromUserId;

    /**
     * 发送到的房间uid
     */
    private String toChatroomId;

    @Override
    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public Object getContent() {
        return content;
    }

    public void setContent(Object content) {
        this.content = content;
    }

    public String getFromUserId() {
        return fromUserId;
    }

    public void setFromUserId(String fromUserId) {
        this.fromUserId = fromUserId;
    }

    public String getToChatroomId() {
        return toChatroomId;
    }

    public void setToChatroomId(String toChatroomId) {
        this.toChatroomId = toChatroomId;
    }
}
